{ pkgs, config, ... }: {
  home = {
    stateVersion = "23.05";
    homeDirectory = "/Users/tonychyi";

    packages = with pkgs; [
      bat
      thefuck
      ranger
      coreutils
      icdiff
      podman
      coreutils
      gnutar
      gnused
      jdk17
      kubectl
      kubernetes-helm
      arduino-cli
      qemu
      #obs-studio

      podman-desktop
    ];

    shellAliases = {
      cao = "fuck";
      nixos-rebuild = "darwin-rebuild";
      top = "htop";
      pip = "pip3";
      ls = "ls --color=auto";
      cat = "bat -p --paging=never -u";
      diff = "icdiff";
    };

    sessionVariables = {
      HOMEBREW_API_DOMAIN = "https://mirrors.tuna.tsinghua.edu.cn/homebrew-bottles/api";
      HOMEBREW_BOTTLE_DOMAIN = "https://mirrors.tuna.tsinghua.edu.cn/homebrew-bottles";
      HOMEBREW_BREW_GIT_REMOTE = "https://mirrors.tuna.tsinghua.edu.cn/git/homebrew/brew.git";
      HOMEBREW_CORE_GIT_REMOTE = "https://mirrors.tuna.tsinghua.edu.cn/git/homebrew/homebrew-core.git";
    };

    sessionPath = [
      "$HOME/.local/bin"
      "$HOME/.cargo/bin"
      "$GOPATH/bin"
    ];
  };

  programs = {
    home-manager.enable = true;
    timidity.enable = true;

    vim = {
      enable = true;
      defaultEditor = true;
    };

    go = {
      enable = true;
      goPath = ".gopath";
    };

    zsh = {
      enable = true;
      enableSyntaxHighlighting = true;

      oh-my-zsh = {
        enable = true;
        plugins = [ "sudo" "git" "golang" "thefuck" "kubectl" "emoji" "pip" "npm" "yarn" "vscode" ];
        theme = "agnoster";
      };
    };
  };
}
